
/*
* Formulari 'create Account' 
*/
/* Estructura Grid 'create Account' */
.grid-form {
  display: grid;
  grid-template-columns: auto auto auto;
  grid-template-rows: 0.2fr 2.6fr 0.2fr;
  justify-content: space-between;
}
/* Row */
.item-form {
  padding: 5vw;
  grid-area: 2/2 / 3/2;
  background-color: var(--main-background-clear2);
  border-radius: 1vw 1vw 1vw 1vw;
  box-shadow: -0.5vw 0.5vw 1vw rgba(0, 0, 0, 0.25);
}
/* Característiques Elements */
.close-form {
  cursor: pointer;
  position: relative;
  top: -2.75vw;
  left: -2.75vw;
  font-size: 1.4em;
  color: var(--main-firstText-color);
}
form h5,form h2{
  color: var(--main-firstText-color);
}
label{
  color: var(--main-firstText-color); 
}
.close-form:hover {
  color: #f13f39;
}
.graphSectionForm {
  height:20%;
  width:100%;
}
.textTotalValueForm {
  font-size: 1.8em;
  color: rgb(70,70,70);
  position: absolute;
  top:54%;
  left:50.5%;
  transform: translate(-50%,-50%);
  font-weight:800;
}
.mssgForm {
  color: #f13f39;
  padding-top: 1vw;
}
.mssgForm p {
  visibility: hidden;
}
.has-message {
    color: green;
}
.centerBttnForm {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 1.5vw;
}
.buttonForm {
  cursor: pointer;
  background: var(--main-background-dark);
  font-size: 1em;
  transition: 0.2s opacity ease-in-out;
}
.buttonForm:hover{
  opacity:0.8;
}
.linkForm {
  text-align: center;
  padding-top: 2vw;
}
.linkForm a {
  color: var(--main-firstText-color);
}
div > input, div > label {
  width: 100%;
  display: block;
  padding: 0.5vw;
}
div > label {
  padding-top: 1.4vw;
}
form div:first-child h5, form div:first-child h2 {
  text-align: center;
  padding: 0.75vw;
}
input, input:focus {
  border: 0.1vw solid #999;
  box-sizing: border-box;
  border-radius: 0.75vw;
  box-shadow: 0.1vw 0.1vw 0.1vw 0.1vw rgba(48, 47, 47, 0.25) inset;
}


/*
* Canvi de tamany pantalla
*/
@media (max-width: 800px) {
  .item-form { 
    grid-area: 1/2 / 3/2; 
    width: 70vw;
    margin-top: 3vw;
    height:90vh;
  }
}
@media (max-width: 500px) {
  .item-form { 
    width: 85vw;
    margin-top: 3vw;
    height:90vh;
  }
}